* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Open Sans", Helvetica, Arial, sans-serif;
}

:root{
    --primary: #348fd9;
    --secudary: #57bb57;
    --title: #13293d;
    --text: #8e99a3;
}

/* 
h1, h2, h3{
    font-family: 'Teko', sans-serif;
} */

body, html{
    height: 100%;
    width: 100%;
    scroll-behavior: smooth;
}

.content{
    width: 100%;
    padding: 0 50px;
}

#container{
    position: relative;
    min-height: 100vh;
}

#container header.topo{
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    
    background: rgba(19, 41, 61, 0.95);
    height: 100px;

    display: flex;
    align-items: center;

    z-index: 1000000;
}

#container header.topo .content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#container header.topo .content h1{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#container header.topo .content h1 img{
    width: 368px;
    height: 50px;
}

#toggle{
    display: none;
}

#container header.topo .content nav ul{
    display: flex;
    align-items: center;
    justify-content: center;
}

#container header.topo .content nav ul li{
    list-style: none;
    margin-left: 7px;
    
    display: flex;
    align-items: center;
    justify-content: center;
}

#container header.topo .content nav ul li a{
    display: block;
    min-width: 60px;
    min-height: 54px;
    padding: 15px 12px;

    font-size: 15px;
    font-weight: 600;

    text-decoration: none;
    color: #fff;
    position: relative;
}

#container header.topo .content nav ul li a::before{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3px;
    background: #56ccf2;
    z-index: 10;

    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
    -webkit-transition: all 0.2s ease-in-out 0s;
    -o-transition: all 0.2s ease-in-out 0s;
    transition: all 0.2s ease-in-out 0s;

    opacity: 0;
}

#container header .content nav ul li a.active::before,
#container header .content nav ul li a:hover::before{
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
    opacity: 1;
}

#simulator{
    position: relative;
    display: grid;
    grid-template-columns: 400px auto;

    min-height: 100vh;
}

#simulator .left-column-info{
    color: #fff;
    background: linear-gradient(45deg, #56ccf2, var(--primary));
    padding: 50px 50px;
}

#simulator .left-column-info h2{
    letter-spacing: 0.5px;
    font-weight: 600;
    font-size: 30px;
}

#simulator .left-column-info img{
    width: 100%;
    margin-top: 150px;
}

#simulator .simulator-step{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* background: red; */
    position: relative;
}

.back{
    position: absolute;
    top: 15px;
    left: 15px;

    display: flex;
    align-items: center;
    justify-content: center;

    color: #000;

    text-decoration: none;
    z-index: 10000;
    
    font-size: 18px;
    font-weight: 500;
    display: none;
}

.back.active{
    display: flex;
}

.back span{
    margin-left: 10px;
}

#simulator .simulator-step .box-step-simulation{
    width: 700px;
    min-height: 250px;
    padding-top: 50px;
    /* background: blue; */
}

#step-simulation-two{
    display: none;
}

#step-simulation-three{
    display: none;
}

#simulator .simulator-step .box-step-simulation header.step{
    display: flex;
    align-items: center;
    min-height: 50px;
}

#simulator .simulator-step .box-step-simulation header.step .steps{
    position: relative;
    width: 150px;
    height: 150px;
    border-radius: 50%;
}
#simulator .simulator-step .box-step-simulation header.step .steps .number{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

#simulator .simulator-step .box-step-simulation header.step .steps .number h2{
    color: var(--secudary);
    font-weight: 700;
    font-size: 60px;
    transition: 0.5s;
}

#simulator .simulator-step .box-step-simulation header.step svg{
    position: relative;
    width: 150px;
    height: 150px;
}

#simulator .simulator-step .box-step-simulation header.step svg circle{
    width: 100%;
    height: 100%;
    fill: none;
    stroke: #ddd;
    stroke-width: 10;
    stroke-linecap: round;
    transform: translate(5px, 5px);
}
#simulator .simulator-step .box-step-simulation header.step svg circle:nth-child(2){
    stroke-dasharray: 440;
    stroke-dashoffset: 440;
}

#simulator .simulator-step .box-step-simulation header#first-step:nth-child(1) circle:nth-child(2){
    stroke-dashoffset: calc(440 - (440 * 33.3333) / 100);
    stroke: var(--secudary);
}

#simulator .simulator-step .box-step-simulation header#secund-step:nth-child(1) circle:nth-child(2){
    stroke-dashoffset: calc(440 - (440 * 66.6666) / 100);
    stroke: var(--secudary);
}

#simulator .simulator-step .box-step-simulation header#third-step:nth-child(1) circle:nth-child(2){
    stroke-dashoffset: calc(440 - (440 * 100) / 100);
    stroke: var(--secudary);
}

#simulator .simulator-step .box-step-simulation header.step > h2{
    margin-left: 30px;
    font-size: 40px;
    color: var(--title);
}

#simulator .simulator-step .box-step-simulation .main{
    padding: 40px 0;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 90px);
    gap: 30px;
}

#simulator .simulator-step .box-step-simulation .main.step-two{
    grid-template-columns: repeat(2, 1fr);
}

#simulator .simulator-step .box-step-simulation .main.step-three{
    grid-template-columns: repeat(2, 1fr);
}

#simulator .simulator-step .box-step-simulation .main .box-person{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    /* background: blue; */
    border: 2px solid #000;
    width: 215px;
    height: 90px;
    border-radius: 7px;
    cursor: pointer;
    transition: 0.2s;
}

#simulator .simulator-step .box-step-simulation .main .box-person:hover{
    border-color: var(--secudary);
    color: var(--secudary);
}

#simulator .simulator-step .box-step-simulation .main .box-person.active, 
#simulator .simulator-step .box-step-simulation .main .box-person.active:hover{
    background: var(--secudary);
    border-color: #000;
    color: #000;
}

#simulator .simulator-step .box-step-simulation .main .box-person i{
    margin-bottom: 5px;
    font-size: 20px;
    user-select: none;
}

#simulator .simulator-step .box-step-simulation .main .box-person span{
    font-weight: 400;
    font-size: 16px;
    user-select: none;
}

#simulator .simulator-step .box-step-simulation .main .block{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    transition: 0.4s;
}

#simulator .simulator-step .box-step-simulation .main .block.hidden{
    opacity: 0;
    visibility: hidden;
}

#simulator .simulator-step .box-step-simulation .main .block span{
    font-size: 16px;
    padding-left: 7px;
    font-weight: 500;
    color: var(--title);
    margin-bottom: 10px;
}

#simulator .simulator-step .box-step-simulation .main.step-two .block span{
    font-size: 16px;
    padding-left: 0;
    font-weight: 500;
    color: var(--title);
    margin-bottom: 10px;
}

#simulator .simulator-step .box-step-simulation .main .block div{
    position: relative;
    /* background: red; */
    width: 100%;
}

#simulator .simulator-step .box-step-simulation .main .block div h2{
    position: absolute;
    top: 50%;
    width: 40px;
    text-align: center;
    transform: translateY(-50%);
    font-size: 20px;
    /* user-select: none; */
    color: var(--title);
}

#simulator .simulator-step .box-step-simulation .main .block div input{
    /* position: relative; */
    height: 40px;
    padding-left: 40px;
    font-size: 18px;
    font-weight: 400;
    width: 100%;
    border: none;
    outline: none;
}

#simulator .simulator-step .box-step-simulation .main.step-three .block div input{
    padding-left: 10px;
}

#simulator .simulator-step .box-step-simulation .main .block div select{
    position: relative;
    width: 100%;
    height: 45px;
    /* padding: 0 20px; */
    font-size: 16px;
    font-weight: 500;
    border: none;
    outline: none;
}

#simulator .simulator-step .box-step-simulation .main .block div select option{
    display: block;
    height: 40px;
    line-height: 60px;
}


#simulator .simulator-step .box-step-simulation .main .block div .line{
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3px;
    width: 100%;
    z-index: 10;
    background: #ddd;
    border-radius: 100px;

}

#simulator .simulator-step .box-step-simulation .main .block div .line2{
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3px;
    width: 100%;
    z-index: 100;
    background: var(--secudary);
    border-radius: 100px;

    transform: scaleX(0);
    transform-origin: left;
    transition: 0.5s;
}

#simulator .simulator-step .box-step-simulation .main .block div input:focus ~ .line2,
#simulator .simulator-step .box-step-simulation .main .block div input:valid ~ .line2{
    transform: scaleX(1);
}


#simulator .simulator-step .box-step-simulation .main .block div select:valid ~ .line2{
    transform: scaleX(1);
}

#simulator .simulator-step .box-step-simulation .main .block-line-three{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

#simulator .simulator-step .box-step-simulation .main .block-line-three span{
    font-size: 16px;
    font-weight: 500;
    color: var(--title);
    margin-bottom: 10px;
}

#simulator .simulator-step .box-step-simulation .main .block-line-three .container-radiobox{
    display: flex;
}

#simulator .simulator-step .box-step-simulation .main .block-line-three .container-radiobox > div{
    margin-right: 20px;
    display: flex;
    align-items: center;
}

#simulator .simulator-step .box-step-simulation .main .block-line-three .container-radiobox > div input{
    width: 15px;
    height: 15px;
}

#simulator .simulator-step .box-step-simulation .main .block-line-three .container-radiobox > div label{
    margin-left: 5px;
    font-weight: 500;
}

#simulator .simulator-step .box-step-simulation .main .block-line-three.button{
    align-items: center;
}

#simulator .simulator-step .box-step-simulation .main .block-line-three.button a{
    width: 100%;
    text-decoration: none;
    color: inherit;
}

#simulator .simulator-step .box-step-simulation .main .block-line-three.button button{
    background: var(--secudary);
    color: #fff;
    height: 50px;
    width: 100%;
    border: none;
    border-radius: 7px;
    outline: none;

    font-size: 16px;
    font-weight: 600;

    cursor: pointer;
}

#sucess{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 30px;
    display: none;
}

#sucess img{
    width: 250px;
    margin-bottom: 50px;
}

#sucess h1{
    font-size: 40px;
    font-weight: 60px;
    font-family: 'Ubuntu', sans-serif;
    line-height: 50px;
    text-align: center;
    color: var(--primary);
    width: 80%;
}

#footer{
    min-height: 80vh;
    background: #1f3346;
    padding: 60px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

#footer h2{
    color: #fff;
}

#footer a, #footer p{
    color: rgba(255, 255, 255, 0.8);
    font-size: 17px;
}

#footer .content{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    /* place-items: center; */
    gap: 50px;
    place-content: center;
}

/* #footer .content > div{

    display: flex;
    flex-direction: column;
    align-items: center;
} */

#footer .content h2{
    margin-bottom: 20px;
    font-size: 30px;
    text-align: center;
}

#footer .content ul li{
    list-style: none;
    margin: 10px 0;
    text-align: center;
}

#footer .content ul li a{
    text-align: center;
    text-decoration: none;
}

#footer .content ul li a:hover{
    text-decoration: underline;
}

#footer .content div .social-media{
    margin-top: 20px;

    display: flex;
    flex-direction: row;
}

#footer .content div .social-media a{
    display: inline-block;
    width: 50px;
    height: 50px;

    margin-right: 20px;
    text-decoration: none;
    border-radius: 7px;

    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
}

#footer .content div .social-media a:hover{
    transform: scale(1.2);
}

.whatsapp:hover{
    background: #3bbc4d;
}
.instagram:hover{
    background: linear-gradient(45deg, #fdb44b, #f1532b, #ed2a3b, #d51f8d, #624fa1);
}
.email:hover{
    background: #e34133;
}

#footer .content div .social-media a i{
    font-size: 27px;
}

#footer .copyright p{
    font-size: 18px;
    font-weight: 500;
    text-align: center;
}

@media (max-width: 768px){
    .content{
        padding: 0 20px;
    }

    body, html{
        overflow-x: hidden;
    }

    #container header.topo{
        height: 22.22222vw;
        position: relative;
    }

    #container header.topo .content h1 img{
        width: 55.55555vw;
        height: auto;
    }

    #toggle{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;

        width: 8.33333vw;
        height: 8.33333vw;
    }

    #toggle .line{
        background: #fff;
        height: 2px;
        width: 100%;
        transition: 0.5s;
    }
    
    #toggle.active .one{
        transform: rotateZ(45deg)   translateY(2.77778vw) translateX(2.77778vw);
    }

    #toggle.active .two{
        position: absolute;
        top: 4.16667vw;
        opacity: 0;
    }

    #toggle.active .three{
        /* position: absolute; */
        /* top: 8.33333vw; */
        transform: rotateZ(-45deg)   translateY(-2.77778vw) translateX(2.77778vw);
    }

    #container header.topo .content nav{
        position: absolute;
        top: 80px;
        left: 0;
        width: 100%;
        background: #13293d;
        padding: 20px 0;

        transition: 0.5s;
        transform: scaleY(0);
        opacity: 0;
        transform-origin: top;
    }

    #container header.topo .content nav.active{
        transform: scaleY(1);
        opacity: 1;
    }

    #container header.topo .content nav ul{
        flex-direction: column;
    }

    #simulator{
        display: flex;
        flex-direction: column;
        padding: 0;
        min-height: 200vh;
    }

    .back span{
        margin-left: 7px;
    }

    #simulator .left-column-info{
        padding: 30px 20px;
        min-height: 620px;

        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
    }
    
    #simulator .left-column-info img{
        width: 90%;
        margin-left: 5%;
        margin-top: 0;
    }

    /* #simulator .simulation-step{
    } */

    #simulator .simulator-step .box-step-simulation{
        width: 100%;
        /* background: red; */
        padding: 30px 20px;
    }

    #simulator .simulator-step .box-step-simulation header.step{
        /* align-items: flex-start; */
        flex-direction: column;
        /* background: blue; */
    }

    #simulator .simulator-step .box-step-simulation header.step > h2{
        margin-left: 0;
        font-size: 25px;
        color: var(--title);
        text-align: center;
    }

    #simulator .simulator-step .box-step-simulation header.step .steps{
        position: relative;
        width: 150px;
        height: 150px;
        border-radius: 50%;
        transform: scale(0.7);
    }

    #simulator .simulator-step .box-step-simulation .main{
        width: 100%;
        padding: 40px 0;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(auto-fit, 90px);
        gap: 30px;
    }

    #simulator .simulator-step .box-step-simulation .main.step-two{
        grid-template-columns: repeat(1, 1fr);
    }
    
    #simulator .simulator-step .box-step-simulation .main.step-three{
        grid-template-columns: repeat(1, 1fr);
    }

    #simulator .simulator-step .box-step-simulation .main .box-person{
        padding: 20px;
        /* background: blue; */
        width: auto;
    }

    #simulator .simulator-step .box-step-simulation .main .box-person:hover{
        border-color: inherit;
        color: inherit;
    }
    

    #simulator .simulator-step .box-step-simulation .main .block.hidden{
        display: none;
    }

    #simulator .simulator-step .box-step-simulation .main .block-line-three.button button{
        height: 60px;
    
        font-size: 17px;
    }

    #sucess{
        padding: 20px;
    }
    
    #sucess img{
        width: 200px;
        margin-bottom: 50px;
    }
    
    #sucess h1{
        font-size: 27px;
        line-height: 30px;
        letter-spacing: 0.5px;
        width: 100%;
    }

    #footer .content{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    #footer .content > div{
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    #footer .content h2 img{
        width: 270px;
        height: auto;
    }

    #footer .content div .social-media a{
        margin-right: 0;
        margin: 0 10px;
    }

    #footer .copyright{
        margin-top: 50px;
    }

    #footer .copyright p{
        font-size: 16px;
    }
}